Bug 127277 - post-install invokes non-existant gdk-pixbuf-query-loaders (which was moved to -{32,64}
Summary: post-install invokes non-existant gdk-pixbuf-query-loaders (which was moved t...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: librsvg2   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-05 19:37 UTC by Moritz Barsnick
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-08 18:48:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Moritz Barsnick 2004-07-05 19:37:52 UTC
Description of problem:
The post-install references a program which no longer exists.

Version-Release number of selected component (if applicable):
librsvg2-2.6.4-2

How reproducible:
only with certain versions of packages (current as of 2004-07-05

Steps to Reproduce:
1. rpm -Uvh gtk2-2.4.1-3.i386.rpm
2. rpm -Uvh librsvg2-2.6.4-7.i386.rpm
3.
  
Actual results:
/var/tmp/rpm-tmp.86408: line 2: gdk-pixbuf-query-loaders: command not 
found
error: %postun(librsvg2-2.6.4-2) scriptlet failed, exit status 127


Expected results:
clean install/update

Additional info:
This bug report very closely resembles bug #80857, for which I do not 
have the permissions to "REOPEN". Named bug was closed, but now, gtk2 
(from gtk2-2.4.1-3) no longer provides gdk-pixbuf-query-loaders, this 
program has been renamed to gdk-pixbuf-query-loaders-{32,64}, and no 
symbolic links or the likes have been provided. (For this renaming, 
see bug #124478.)

Please switch the culprit component to "gtk2" if applicable.

Comment 1 Matthias Clasen 2004-07-08 18:48:04 UTC
As explained in the other bug, it seems better to let the postun fail
than to provide a pointless link and write a file in the wrong location.


Note You need to log in before you can comment on or make changes to this bug.